Unit tqtsvr_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, QTSVR_p;

function tqtsvr: String;

implementation

function tqtsvr: String;
var
N,I,_i :Integer;
H,X1 :Real;
F :Array [0..49] of Real;
X :Array [0..49] of Real;
RINT :Array [0..49] of Real;
label
_1,_2;
begin
Result := '';  {   }
H := 3.14159/49.0;
X[0] := 0.0;
X[1] := H/4.0;
N := 50;
for I:=3 to N do
 begin
_1:
  X[I-1] := X[I-3]+H*2.0;
 end;
for I:=1 to N do
 begin
  X1 := X[I-1];
_2:
  F[I-1] := Sin(X1);
 end;
QTSVR(RINT,X,N,F);
Result := Result + #$0D#$0A;
for _i:=0 to 49 do
 begin
  Result := Result + Format('%20.16f ',[RINT[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tqtsvr',Result);  {     tqtsvr.res }
exit;
end;

end.
